Subject: Re: bug#12806: 24.3.50; Dead keys misbehavior when scroll-lock is enabled

From: Eli Zaretskii <[email-masked]>
Date: Mon, 05 Nov 2012 22:43:12 +0200

> Date: Mon, 5 Nov 2012 20:54:19 +0100
> From: Dani Moncayo <[email-masked]>
> 
> To reproduce this bug, you'll need a keyboard with "dead keys" (like
> my spanish keyboard, for example).
> 
> Recipe from "emacs -Q":
> 
> 1. Enable scroll-lock (I can't do this while the Emacs frame has the
> focus - I have to select another application before).
> 2. Try to write an accented "a" ("á") by typing the dead key "´" and
> then the key "a".
> 
> I observe that:
> * What gets inserted is a plain "a" (without the accent).
> * The dead key has no effect over the "a" nor the following letters I
> type, until I type an <SPC>: at that moment, an "´" is inserted
> instead.

What's the evidence that this is an Emacs bug, and not something that
keyboard does on Windows?